Package: org.codehaus.groovy.classgen.asm.util

## [Java] Class TypeUtil

- org.codehaus.groovy.classgen.asm.util.TypeUtil

-     public abstract class TypeUtil
      extends Object

  A utility for getting information of types

  Since:
    2.5.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Class` | `autoboxType(Class type)` Returns the wrapper type for the supplied primitive class, or the class itself if it is already a reference type.
    `` | `public static String` | `getDescriptionByName(String name)` Returns the JVM type descriptor for the supplied type name.
    `` | `public static String` | `getDescriptionByType(ClassNode type)` Returns the JVM type descriptor for the supplied class node.
    `` | `public static int` | `getLoadInsnByType(org.objectweb.asm.Type type)` Returns the load opcode for the supplied ASM type.
    `` | `public static int` | `getReturnInsnByType(org.objectweb.asm.Type type)` Returns the return opcode for the supplied ASM type.
    `` | `public static String` | `getWrappedClassDescriptor(org.objectweb.asm.Type type)` Returns the descriptor of the wrapper class corresponding to the supplied primitive ASM type.
    `` | `public static boolean` | `isPrimitiveType(org.objectweb.asm.Type type)` Tests whether the supplied ASM type is primitive.
    `` | `public static boolean` | `isPrimitiveType(String name)` Tests whether the supplied type name denotes a primitive type.
    `` | `public static boolean` | `isPrimitiveType(ClassNode type)` Tests whether the supplied class node denotes a primitive type.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Class autoboxType(Class type)

      Returns the wrapper type for the supplied primitive class, or the class itself if it is already a reference type.

    - #### public static String getDescriptionByName(String name)

      Returns the JVM type descriptor for the supplied type name.

    - #### public static String getDescriptionByType(ClassNode type)

      Returns the JVM type descriptor for the supplied class node.

    - #### public static int getLoadInsnByType(org.objectweb.asm.Type type)

      Returns the load opcode for the supplied ASM type.

    - #### public static int getReturnInsnByType(org.objectweb.asm.Type type)

      Returns the return opcode for the supplied ASM type.

    - #### public static String getWrappedClassDescriptor(org.objectweb.asm.Type type)

      Returns the descriptor of the wrapper class corresponding to the supplied primitive ASM type.

    - #### public static boolean isPrimitiveType(org.objectweb.asm.Type type)

      Tests whether the supplied ASM type is primitive.

    - #### public static boolean isPrimitiveType(String name)

      Tests whether the supplied type name denotes a primitive type.

    - #### public static boolean isPrimitiveType(ClassNode type)

      Tests whether the supplied class node denotes a primitive type.